# -*- coding: utf-8 -*-

# Copyright (C) 2013 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

import unittest
from xivo_cti.cti.commands.user_service.enable_unconditional_forward import EnableUnconditionalForward


class TestEnableUnconditionalForward(unittest.TestCase):

    def test_from_dict(self):
        commandid = 12327
        msg = {"class": "featuresput",
               "commandid": commandid,
               "function": "fwd",
               "value": {'destunc': '27654', 'enableunc': True}}

        enable_unconditional_forward = EnableUnconditionalForward.from_dict(msg)

        self.assertTrue(isinstance(enable_unconditional_forward, EnableUnconditionalForward))

        self.assertEquals(enable_unconditional_forward.destination, '27654')
        self.assertEquals(enable_unconditional_forward.enable, True)
